Bug 29876 - Style report id in report results heading
Summary: Style report id in report results heading
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 24834
Blocks:
  Show dependency treegraph
 
Reported: 2022-01-13 14:43 UTC by Owen Leonard
Modified: 2022-02-25 14:33 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Screenshot showing the updated interface (96.54 KB, image/png)
2022-01-13 14:43 UTC, Owen Leonard
Details
Bug 29876: Style report id in report results heading (2.45 KB, patch)
2022-01-13 14:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29876: Style report id in report results heading (2.50 KB, patch)
2022-01-13 17:58 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 29876: Style report id in report results heading (2.56 KB, patch)
2022-01-30 00:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29876: (follow-up) Change "Report number" to "Report ID" (1.42 KB, patch)
2022-02-14 19:03 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-01-13 14:43:18 UTC
Created attachment 129403 [details]
Screenshot showing the updated interface

I find the inclusion of the report id in the heading of the SQL report results page to be confusing because it can look like it is showing the number of results. I think adding some style to it would help.
Comment 1 Owen Leonard 2022-01-13 14:48:41 UTC
Created attachment 129404 [details] [review]
Bug 29876: Style report id in report results heading

This patch makes minor changes to the template and adds some CSS to
style the report id portion of the page heading.

To test, apply the patch and go to Reports -> Saved SQL reports.

- Run any report.
- On the results page, confirm that the report id portion of the page
  heading is styled and labeled "Report number."
Comment 2 Lucas Gass 2022-01-13 17:58:47 UTC
Created attachment 129430 [details] [review]
Bug 29876: Style report id in report results heading

This patch makes minor changes to the template and adds some CSS to
style the report id portion of the page heading.

To test, apply the patch and go to Reports -> Saved SQL reports.

- Run any report.
- On the results page, confirm that the report id portion of the page
  heading is styled and labeled "Report number."

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Lucas Gass 2022-01-13 17:59:48 UTC
This is makes it much more clear, thanks!
Comment 4 Katrin Fischer 2022-01-30 00:04:13 UTC
Created attachment 129973 [details] [review]
Bug 29876: Style report id in report results heading

This patch makes minor changes to the template and adds some CSS to
style the report id portion of the page heading.

To test, apply the patch and go to Reports -> Saved SQL reports.

- Run any report.
- On the results page, confirm that the report id portion of the page
  heading is styled and labeled "Report number."

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2022-01-30 00:05:22 UTC
Only a small thing: Should we make this read Report ID to match the label on the saved reports table?
Comment 6 Fridolin Somers 2022-02-10 08:10:31 UTC
(In reply to Katrin Fischer from comment #5)
> Only a small thing: Should we make this read Report ID to match the label on
> the saved reports table?

+1
Comment 7 Owen Leonard 2022-02-14 19:03:31 UTC
Created attachment 130567 [details] [review]
Bug 29876: (follow-up) Change "Report number" to "Report ID"

This makes is consistent with the display of saved reports where the
number is shown in an "ID" column.
Comment 8 Fridolin Somers 2022-02-23 08:28:14 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄